Z8530_TX_BEGIN(9)

NAME
z8530_tx_begin - Begin packet transmission

SYNOPSIS

void z8530_tx_begin (struct z8530_channel * c);

ARGUMENTS

c   The Z8530 channel to kick

DESCRIPTION

This is the speed sensitive side of transmission. If we are called and no buffer is being transmitted we commence the next buffer. If nothing is queued we idle the sync.

NOTE

We are handling this code path in the interrupt path, keep it fast or bad things will happen.

Called with the lock held.

AUTHOR
Alan Cox <alan@redhat.com>.